# TODO
# - smtube: use system qtsingleapplication

%define		qtver	4.3.3-3
%define		smver	1.7
Summary:	smplayer - mplayer frontend
Summary(pl.UTF-8):	smplayer - nakładka na mplayera
Name:		smplayer
Version:	0.8.6
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/smplayer/%{name}-%{version}.tar.bz2
# Source0-md5:	deddbce75049b5c4f15ec6c02eaf8790
Source1:	http://downloads.sourceforge.net/smplayer/smtube-%{smver}.tar.bz2
# Source1-md5:	d9a954e1b337f0c850dcfc6063255056
URL:		http://smplayer.sourceforge.net/
BuildRequires:	Qt3Support-devel
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	QtXml-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-linguist >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	desktop-file-utils
Requires:	mplayer >= 3:1.0-5.rc2_svn27725.17
Suggests:	%{name}-smtube
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SMPlayer intends to be a complete front-end for MPlayer, from basic
features like playing videos, DVDs, and VCDs to more advanced features
like support for MPlayer filters and more.

One of the most interesting features of SMPlayer: it remembers the
settings of all files you play. So you start to watch a movie but you
have to leave... don't worry, when you open that movie again it will
resume at the same point you left it, and with the same settings:
audio track, subtitles, volume...

%description -l pl.UTF-8
SMPlayer stara się być kompletną nakładką na MPlayera, począwszy od
podstawowych funkcji jak odtwarzanie plików video, DVD i VCD kończąc
na bardziej zaawansowanych opcjach jak obsługa filtrów MPlayera oraz
wiele więcej.

Jedną z najciekawszych funkcji SMPlayera jest to, że zapamiętuje
ustawienia wszystkich plików jakie odgrywasz. Zaczynasz oglądać film,
ale musisz wyjść... nie martw się, kiedy odtworzysz film ponownie
zacznie od momentu, w którym go wyłączyłeś i z tymi samymi
ustawieniami jak: ścieżka dźwiękowa, napisy, głośność...

%package smtube
Summary:	Support for youtube videos
Summary(pl.UTF-8):	Wparcie dla filmów youtube
License:	GPL
Group:		X11/Applications

%description smtube
Support for youtube videos in smplayer.

%description smtube -l pl.UTF-8
Wparcie dla filmów youtub dla aplikacji smplaer.

%prep
%setup -q -a1
mv smtube-%{smver} smtube

# skip docs install
%{__sed} -i -e '/DOC_PATH/d' Makefile src/smplayer.pro
%{__sed} -i -e '/DOC_PATH/d' Makefile smtube/src/smtube.pro

# skip manpage compress
%{__sed} -i -e '/gzip/d' Makefile

# skip build rule on install
%{__sed} -i -e 's,install: src/smplayer,install:,' Makefile

# disable debug on console on unix too
%{__sed} -i -e '/NO_DEBUG_ON_CONSOLE/s,#DEFINES,DEFINES,' src/smplayer.pro

%build
%{__make} \
	PREFIX=%{_prefix} \
	QMAKE=qmake-qt4 \
	LRELEASE=lrelease-qt4

%{__make} -C smtube \
	PREFIX=%{_prefix} \
	QMAKE=qmake-qt4 \
	LRELEASE=lrelease-qt4

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/smplayer/themes
%{__make} install \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C smtube install \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/smtube

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%files
%defattr(644,root,root,755)
%doc Changelog Not_so_obvious_things.txt Readme.txt Release_notes.txt
%attr(755,root,root) %{_bindir}/smplayer
%{_mandir}/man1/smplayer.1*
%{_desktopdir}/smplayer.desktop
%{_desktopdir}/smplayer_enqueue.desktop
%{_iconsdir}/hicolor/*/apps/smplayer.png
%{_iconsdir}/hicolor/*/apps/smplayer.svg
%dir %{_datadir}/smplayer
%{_datadir}/smplayer/input.conf
%dir %{_datadir}/smplayer/shortcuts
%{_datadir}/smplayer/shortcuts/default.keys
%dir %{_datadir}/smplayer/themes
%dir %{_datadir}/smplayer/translations
%lang(ar) %{_datadir}/smplayer/translations/smplayer_ar_SY.qm
%lang(bg) %{_datadir}/smplayer/translations/smplayer_bg.qm
%lang(ca) %{_datadir}/smplayer/translations/smplayer_ca.qm
%lang(cs) %{_datadir}/smplayer/translations/smplayer_cs.qm
%lang(da) %{_datadir}/smplayer/translations/smplayer_da.qm
%lang(de) %{_datadir}/smplayer/translations/smplayer_de.qm
%lang(el) %{_datadir}/smplayer/translations/smplayer_el_GR.qm
%lang(en_US) %{_datadir}/smplayer/translations/smplayer_en_US.qm
%lang(es) %{_datadir}/smplayer/translations/smplayer_es.qm
%lang(et) %{_datadir}/smplayer/translations/smplayer_et.qm
%lang(eu) %{_datadir}/smplayer/translations/smplayer_eu.qm
%lang(fi) %{_datadir}/smplayer/translations/smplayer_fi.qm
%lang(fr) %{_datadir}/smplayer/translations/smplayer_fr.qm
%lang(gl) %{_datadir}/smplayer/translations/smplayer_gl.qm
%lang(he_IL) %{_datadir}/smplayer/translations/smplayer_he_IL.qm
%lang(hr) %{_datadir}/smplayer/translations/smplayer_hr.qm
%lang(hu) %{_datadir}/smplayer/translations/smplayer_hu.qm
%lang(it) %{_datadir}/smplayer/translations/smplayer_it.qm
%lang(ja) %{_datadir}/smplayer/translations/smplayer_ja.qm
%lang(ka) %{_datadir}/smplayer/translations/smplayer_ka.qm
%lang(ko) %{_datadir}/smplayer/translations/smplayer_ko.qm
%lang(ku) %{_datadir}/smplayer/translations/smplayer_ku.qm
%lang(lt) %{_datadir}/smplayer/translations/smplayer_lt.qm
%lang(mk) %{_datadir}/smplayer/translations/smplayer_mk.qm
%lang(ms_MY) %{_datadir}/smplayer/translations/smplayer_ms_MY.qm
%lang(nl) %{_datadir}/smplayer/translations/smplayer_nl.qm
%lang(pl) %{_datadir}/smplayer/translations/smplayer_pl.qm
%lang(pt) %{_datadir}/smplayer/translations/smplayer_pt.qm
%lang(pt_BR) %{_datadir}/smplayer/translations/smplayer_pt_BR.qm
%lang(ro) %{_datadir}/smplayer/translations/smplayer_ro_RO.qm
%lang(ru) %{_datadir}/smplayer/translations/smplayer_ru_RU.qm
%lang(sk) %{_datadir}/smplayer/translations/smplayer_sk.qm
%lang(sl) %{_datadir}/smplayer/translations/smplayer_sl_SI.qm
%lang(sr) %{_datadir}/smplayer/translations/smplayer_sr.qm
%lang(sv) %{_datadir}/smplayer/translations/smplayer_sv.qm
%lang(th) %{_datadir}/smplayer/translations/smplayer_th.qm
%lang(tr) %{_datadir}/smplayer/translations/smplayer_tr.qm
%lang(uk) %{_datadir}/smplayer/translations/smplayer_uk_UA.qm
%lang(vi) %{_datadir}/smplayer/translations/smplayer_vi_VN.qm
%lang(zh_CN) %{_datadir}/smplayer/translations/smplayer_zh_CN.qm
%lang(zh_TW) %{_datadir}/smplayer/translations/smplayer_zh_TW.qm

%files smtube
%defattr(644,root,root,755)
%doc smtube/{Readme.txt,Release_notes.txt,Changelog}
%attr(755,root,root) %{_bindir}/smtube
%{_desktopdir}/smtube.desktop
%{_iconsdir}/hicolor/*/apps/smtube.png
%dir %{_datadir}/smtube
%dir %{_datadir}/smtube/translations
%lang(cs) %{_datadir}/smtube/translations/smtube_cs.qm
%lang(el) %{_datadir}/smtube/translations/smtube_el.qm
%lang(en) %{_datadir}/smtube/translations/smtube_en.qm
%lang(es) %{_datadir}/smtube/translations/smtube_es.qm
%lang(eu) %{_datadir}/smtube/translations/smtube_eu.qm
%lang(fi) %{_datadir}/smtube/translations/smtube_fi.qm
%lang(gl) %{_datadir}/smtube/translations/smtube_gl.qm
%lang(he_IL) %{_datadir}/smtube/translations/smtube_he_IL.qm
%lang(hu) %{_datadir}/smtube/translations/smtube_hu.qm
%lang(ja) %{_datadir}/smtube/translations/smtube_ja.qm
%lang(ka) %{_datadir}/smtube/translations/smtube_ka.qm
%lang(lt) %{_datadir}/smtube/translations/smtube_lt.qm
%lang(ms_MY) %{_datadir}/smtube/translations/smtube_ms_MY.qm
%lang(nn_NO) %{_datadir}/smtube/translations/smtube_nn_NO.qm
%lang(pl) %{_datadir}/smtube/translations/smtube_pl.qm
%lang(pt) %{_datadir}/smtube/translations/smtube_pt.qm
%lang(pt_BR) %{_datadir}/smtube/translations/smtube_pt_BR.qm
%lang(ru) %{_datadir}/smtube/translations/smtube_ru_RU.qm
%lang(sv) %{_datadir}/smtube/translations/smtube_sv.qm
%lang(tr) %{_datadir}/smtube/translations/smtube_tr.qm
%lang(uk) %{_datadir}/smtube/translations/smtube_uk.qm
%lang(zh_CN) %{_datadir}/smtube/translations/smtube_zh_CN.qm
%changelog
* Thu Aug 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/smplayer.git;a=log;h=master

* Mon Aug 19 2013 Elan Ruusamäe <glen@delfi.ee> eba1d67
- up to 0.8.6

* Tue May 14 2013 Grzegorz Pycia <gzohop@pld-linux.org> 8ae1e9a
- up to 0.8.5

* Tue May 07 2013 Elan Ruusamäe <glen@delfi.ee> 7250ed7
- update smtube to 1.7

* Tue May 07 2013 Elan Ruusamäe <glen@delfi.ee> 5c66348
- up to 0.8.4

* Sun Dec 30 2012 Grzegorz Pycia <gzohop@pld-linux.org> 33cf81a
- up to 0.8.3
smtube up 1.5

* Sat Dec 08 2012 Elan Ruusamäe <glen@delfi.ee> 0175c87
- up to 0.8.2

* Wed May 09 2012 blekot <blekot@pld-linux.org> 8721cc2
- up to 0.8.0
- smtube up to 1.1

* Fri Mar 09 2012 blekot <blekot@pld-linux.org> 4a15cd1
- added missed dir (thx Pluto)
- rel 3

* Thu Mar 08 2012 blekot <blekot@pld-linux.org> a7c5512
- added smtube package
- rel 2
- suggests smtube

* Wed Mar 07 2012 blekot <blekot@pld-linux.org> b8fb3f1
- up to 0.7.1
- added TODO

* Mon Feb 06 2012 Bartłomiej Zimoń <cactus@pld-linux.org> bd81913
- up to 0.7.0; with mplayer2 support

* Mon Jan 23 2012 Elan Ruusamäe <glen@pld-linux.org> 9b9ef27
- up to 0.6.10

* Sun Sep 18 2011 Elan Ruusamäe <glen@pld-linux.org> 5daad32
- update-desktop-database (.desktop specifies MimeType)

* Mon Dec 13 2010 Karol Krenski <charles@pld-linux.org> 18ebdd5
- BR: QtXml-devel

* Tue Feb 23 2010 amateja <amateja@pld-linux.org> 87ee2e0
- updated to 0.6.9

* Mon Sep 28 2009 Elan Ruusamäe <glen@pld-linux.org> 1cc8c70
- simplify build
- disable console debug
- rel 2

* Fri Aug 14 2009 Karol Krenski <charles@pld-linux.org> a30e700
- just lang(vi) for smplayer_vi_VN.qm

* Fri Aug 14 2009 Karol Krenski <charles@pld-linux.org> 7282154
- add missing langs

* Wed Aug 12 2009 arvenil <arvenil@pld-linux.org> 8ebd922
- no more needed

* Wed Aug 12 2009 arvenil <arvenil@pld-linux.org> 8459892
- up to 0.6.8
- translation patch no more needed

